#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    int x1;
    int x2;
    int y1;
    int y2;
    cin>>x1>>y1>>x2>>y2;
    if(x1==x2&&y1!=y2){
        cout<<2;
    }
    if(y1==y2&&x1!=x2){
        cout<<2;
    }

    if(abs(x1-x2)==abs(y1-y2)){
        cout<<1;
    }
}